Subject: bug#26995: 26.0.50; emacsclient --tty FILE flashes previous frame's buffer before loading FILE

From: Aaron Jensen <[email-masked]>
Date: Fri, 19 May 2017 08:44:03 -0700

Eli Zaretskii writes:

> I can indeed reproduce the described behavior, but I see the same in
> Emacs 25.2 and in Emacs 24.5.  The reason is simple: the way server.el
> is written, we first create the client frame, and only then show the
> file there.  So the frame is created with no file to visit, and Emacs
> always shows the last buffer in the new frame in those cases.

I see, so not a bug then. Is it possible to (easily) improve its behavior? It's not a big enough deal to warrant spending a lot of time on, I don't think.

>
> Maybe your workaround worked for Emacs 25, but no longer works with
> Emacs 26?

Perhaps, or maybe I was seeing an even bigger flash because persp-mode was restoring an entire perspective before. For reference, here is the original issue and the fix/workaround I ended up on:

https://github.com/Bad-ptr/persp-mode.el/issues/64

--
Aaron